Bug 1278978 - (CVE-2015-5327) CVE-2015-5327 kernel: User triggerable out-of-bounds read
CVE-2015-5327 kernel: User triggerable out-of-bounds read
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151109,reported=2...
: Security
Depends On:
Blocks: 1278980
  Show dependency treegraph
 
Reported: 2015-11-06 17:15 EST by Adam Mariš
Modified: 2016-05-09 05:21 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 08:19:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (972 bytes, patch)
2015-11-06 17:17 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-11-06 17:15:38 EST
An out-of-bounds memory read was found affecting kernels from 4.3-rc1 onwards. This vulnerability was caused by incorrect X.509 time validation in x509_decode_time() function in x509_cert_parser.c.

References:
upstream linux kernel commit cc25b994acfbc901429da682d0f73c190e960206

http://permalink.gmane.org/gmane.linux.kernel.commits.head/561953

http://seclists.org/oss-sec/2015/q4/390
Comment 1 Adam Mariš 2015-11-06 17:17 EST
Created attachment 1090799 [details]
Patch
Comment 3 Adam Mariš 2015-11-09 10:57:43 EST
Acknowledgments:

Red Hat would like to thank Mimi Zohar of IBM for reporting this issue.
Comment 4 Vladis Dronov 2015-11-26 10:25:31 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2, as the code introduced the flaw is not present in these products.

Note You need to log in before you can comment on or make changes to this bug.